{
"status_code": 500,
"error": "An error has occurred."
}
Authentication
Every request sent to Scale’s API requires authentication. In short, your API Key is the Bearer token. See the Authentication section for more details.
Callback URL or email for the entity upon completion.
Example:
"https://example.com/callback"
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"GenAI Docs","colors":{"primary":"#3f2e7b","light":"#ca62ff","dark":"#3f2e7b"},"logo":{"light":"https://mintcdn.com/data-engine-gen-ai/7rAP6-o6Oxbv3RYk/logo/light.png?fit=max\u0026auto=format\u0026n=7rAP6-o6Oxbv3RYk\u0026q=85\u0026s=35e9926d90e748d5ec795a744410d62f","dark":"https://mintcdn.com/data-engine-gen-ai/7rAP6-o6Oxbv3RYk/logo/dark.png?fit=max\u0026auto=format\u0026n=7rAP6-o6Oxbv3RYk\u0026q=85\u0026s=a28e9780112c1d169c67b11e04bdcfd6"},"favicon":"/favicon.png","api":{"examples":{"languages":["bash","python","javascript","go","java"]}},"background":{"decoration":"windows"},"navbar":{"links":[]},"footer":{"socials":{"x":"https://x.com/scale_ai","facebook":"https://www.facebook.com/scaleapi","linkedin":"https://www.linkedin.com/company/scaleai"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"data-engine-gen-ai","hasAudioNarration":false,"actualSubdomain":"data-engine-gen-ai","customDomains":["docs.genai.scale.com"],"gitSource":{"type":"github","owner":"scaleapi","repo":"data-engine-genai-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21e670044dd579e9b57894","collectionId":"5a35b654-901b-4946-8366-0f916e52d1e2","schemaVersion":"v2"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae9237e56194055093f0a30:success","clientVersion":"0.0.4067","searchFilterCounts":[{"language":"default","tag":"Endpoints","count":37},{"language":"default","tag":"v2","count":25},{"language":"default","tag":"API Reference","count":16},{"language":"default","tag":"Core Resources","count":12},{"language":"default","tag":"Auto Evaluations","count":11},{"language":"default","tag":"Batches","count":8},{"language":"default","tag":"Evaluation","count":7},{"language":"default","tag":"Datasets","count":7},{"language":"default","tag":"Tasks","count":7},{"language":"default","tag":"Deliveries","count":6}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"v2/batch-create","slug":"/v2/batch-create","pageMetadata":{"openapi":"POST /v2/batch","title":"Create a Batch","description":"Create a new [Batch](/core-resources/batch) for organizing tasks.","href":"/v2/batch-create"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n a: \"a\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Create a new \", _jsx(_components.a, {\n href: \"/core-resources/batch\",\n children: \"Batch\"\n }), \" for organizing tasks.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Accordion,Heading,Tip}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Tip)_missingMdxReference(`Tip`,true);return _jsxs(_Fragment,{children:[_jsx(Accordion,{title:`Authentication`,icon:`key`,id:`authentication`,children:_jsxs(_components.p,{children:[`Every request sent to Scale’s API requires authentication. In short, your API Key is the Bearer token. See the `,_jsx(_components.a,{href:`/get-started/authentication`,children:`Authentication`}),` section for more details.`]})}),`\n`,_jsxs(Tip,{children:[_jsx(Heading,{level:`3`,id:`required-request-parameters`,children:`Required request parameters`}),_jsx(_components.p,{children:`You must provide:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Name`}),` (`,_jsx(_components.code,{children:`name`}),`) - The name for the batch`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Project`}),` (`,_jsx(_components.code,{children:`project`}),`) - Project ID or project name to associate with the batch`]}),`\n`]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"POST /v2/batch","title":"Create a Batch","description":"Create a new [Batch](/core-resources/batch) for organizing tasks.","href":"/v2/batch-create"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Required request parameters","slug":"required-request-parameters","depth":3,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"createBatch","summary":"Create a Batch","description":"Create a new [Batch](/core-resources/batch) for organizing tasks.","tags":["v2"],"requestBody":"7e1bf8e0-0c04-4e30-bc24-ffce7c3886e0","responses":{"200":"096ed32d-2d32-4aff-b43e-60e86505c4e9","500":"8ce36062-8ebc-420f-836b-95cd0e7bca36"},"x-codeSamples":[{"lang":"bash","label":"cURL","source":"API_KEY='live_...'\ncurl --request POST \\\n --url \"https://api.scale.com/v2/batch\" \\\n --header \"Authorization: Bearer $API_KEY\" \\\n --header \"Content-Type: application/json\" \\\n --data '{\n \"name\": \"My New Batch\",\n \"project\": \"project_123\"\n }'\n"},{"lang":"python","label":"Python SDK","source":"import scaleapi\n\nAPI_KEY = 'live_...'\nclient = scaleapi.ScaleClient(API_KEY)\n\nresponse = client.v2.create_batch(\n name=\"My New Batch\",\n project=\"project_123\"\n)\nprint(response.to_json())\n"},{"lang":"python","label":"Python","source":"import requests\n\nAPI_KEY = 'live_...'\n\nresponse = requests.request(\n \"POST\",\n url=\"https://api.scale.com/v2/batch\",\n json={\n \"name\": \"My New Batch\",\n \"project\": \"project_123\"\n },\n headers={\n \"Accept\": \"application/json\",\n \"Authorization\": f\"Bearer {API_KEY}\",\n \"Content-Type\": \"application/json\",\n },\n)\nprint(response.json())\n"},{"lang":"javascript","label":"JavaScript","source":"const API_KEY = 'live_...';\n\nconst response = await fetch('https://api.scale.com/v2/batch', {\n method: 'POST',\n headers: {\n Accept: 'application/json',\n Authorization: `Bearer ${API_KEY}`,\n 'Content-Type': 'application/json',\n },\n body: JSON.stringify({\n name: 'My New Batch',\n project: 'project_123'\n }),\n});\nconsole.log(await response.json());\n"},{"lang":"go","label":"Go","source":"package main\n\nimport (\n \"bytes\"\n \"encoding/json\"\n \"fmt\"\n \"io/ioutil\"\n \"net/http\"\n)\n\nfunc main() {\n apiKey := \"live_...\"\n\n requestBody := map[string]string{\n \"name\": \"My New Batch\",\n \"project\": \"project_123\",\n }\n jsonData, _ := json.Marshal(requestBody)\n\n req, _ := http.NewRequest(\"POST\", \"https://api.scale.com/v2/batch\", bytes.NewBuffer(jsonData))\n\n req.Header.Add(\"Authorization\", fmt.Sprintf(\"Bearer %s\", apiKey))\n req.Header.Add(\"Content-Type\", \"application/json\")\n\n res, _ := http.DefaultClient.Do(req)\n\n defer res.Body.Close()\n body, _ := ioutil.ReadAll(res.Body)\n\n fmt.Println(string(body))\n}\n"},{"lang":"java","label":"Java","source":"package com.scale.api;\n\nimport kong.unirest.HttpResponse;\nimport kong.unirest.Unirest;\n\npublic class App {\n public static void main(String[] args) {\n String apiKey = \"live_...\";\n\n String requestBody = \"{\\\"name\\\": \\\"My New Batch\\\", \\\"project\\\": \\\"project_123\\\"}\";\n\n HttpResponse\u003cString> response = Unirest.post(\"https://api.scale.com/v2/batch\")\n .header(\"Authorization\", String.format(\"Bearer %s\", apiKey))\n .header(\"Content-Type\", \"application/json\")\n .body(requestBody)\n .asString();\n\n System.out.println(response.getBody());\n }\n}\n"}],"method":"post","type":"path","servers":["8d1397d9-279d-48d6-869a-11edd8a92ce6"],"security":["e31d5fdb-2085-4146-92b6-90260efbbad0","233f3a50-48c4-4019-9ad6-43d116159c42"],"path":"/v2/batch","baseUrlOptions":["https://api.scale.com"],"title":"Create a Batch","codeSamples":[{"label":"cURL","lang":"bash","source":"API_KEY='live_...'\ncurl --request POST \\\n --url \"https://api.scale.com/v2/batch\" \\\n --header \"Authorization: Bearer $API_KEY\" \\\n --header \"Content-Type: application/json\" \\\n --data '{\n \"name\": \"My New Batch\",\n \"project\": \"project_123\"\n }'\n"},{"label":"Python SDK","lang":"python","source":"import scaleapi\n\nAPI_KEY = 'live_...'\nclient = scaleapi.ScaleClient(API_KEY)\n\nresponse = client.v2.create_batch(\n name=\"My New Batch\",\n project=\"project_123\"\n)\nprint(response.to_json())\n"},{"label":"Python","lang":"python","source":"import requests\n\nAPI_KEY = 'live_...'\n\nresponse = requests.request(\n \"POST\",\n url=\"https://api.scale.com/v2/batch\",\n json={\n \"name\": \"My New Batch\",\n \"project\": \"project_123\"\n },\n headers={\n \"Accept\": \"application/json\",\n \"Authorization\": f\"Bearer {API_KEY}\",\n \"Content-Type\": \"application/json\",\n },\n)\nprint(response.json())\n"},{"label":"JavaScript","lang":"javascript","source":"const API_KEY = 'live_...';\n\nconst response = await fetch('https://api.scale.com/v2/batch', {\n method: 'POST',\n headers: {\n Accept: 'application/json',\n Authorization: `Bearer ${API_KEY}`,\n 'Content-Type': 'application/json',\n },\n body: JSON.stringify({\n name: 'My New Batch',\n project: 'project_123'\n }),\n});\nconsole.log(await response.json());\n"},{"label":"Go","lang":"go","source":"package main\n\nimport (\n \"bytes\"\n \"encoding/json\"\n \"fmt\"\n \"io/ioutil\"\n \"net/http\"\n)\n\nfunc main() {\n apiKey := \"live_...\"\n\n requestBody := map[string]string{\n \"name\": \"My New Batch\",\n \"project\": \"project_123\",\n }\n jsonData, _ := json.Marshal(requestBody)\n\n req, _ := http.NewRequest(\"POST\", \"https://api.scale.com/v2/batch\", bytes.NewBuffer(jsonData))\n\n req.Header.Add(\"Authorization\", fmt.Sprintf(\"Bearer %s\", apiKey))\n req.Header.Add(\"Content-Type\", \"application/json\")\n\n res, _ := http.DefaultClient.Do(req)\n\n defer res.Body.Close()\n body, _ := ioutil.ReadAll(res.Body)\n\n fmt.Println(string(body))\n}\n"},{"label":"Java","lang":"java","source":"package com.scale.api;\n\nimport kong.unirest.HttpResponse;\nimport kong.unirest.Unirest;\n\npublic class App {\n public static void main(String[] args) {\n String apiKey = \"live_...\";\n\n String requestBody = \"{\\\"name\\\": \\\"My New Batch\\\", \\\"project\\\": \\\"project_123\\\"}\";\n\n HttpResponse\u003cString> response = Unirest.post(\"https://api.scale.com/v2/batch\")\n .header(\"Authorization\", String.format(\"Bearer %s\", apiKey))\n .header(\"Content-Type\", \"application/json\")\n .body(requestBody)\n .asString();\n\n System.out.println(response.getBody());\n }\n}\n"}],"requestExampleLanguages":["bash","python","javascript","go","java"],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["name"],"properties":{"name":{"type":"string","description":"The name of the batch.","example":"My Scale Batch","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"project_id":{"type":"string","description":"A unique identifier for the project.","example":"project_abc123","uniqueKey":"project_id","typeLabel":"string"},"project_name":{"type":"string","description":"The name of the project.","example":"My Scale Project","uniqueKey":"project_name","typeLabel":"string"},"callback":{"type":"string","description":"Callback URL or email for the entity upon completion.","example":"https://example.com/callback","uniqueKey":"callback","typeLabel":"string"},"staging_batch":{"type":"boolean","description":"Whether this is a staging batch.","default":false,"uniqueKey":"staging_batch","typeLabel":"boolean"},"metadata":{"type":"object","description":"Custom metadata for the entity.","additionalProperties":true,"default":{},"uniqueKey":"metadata","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Basic Batch":{"title":"Basic Batch","value":{"name":"My New Batch","project":"project_123"}},"Batch with Metadata":{"title":"Batch with Metadata","value":{"name":"Training Batch","project":"My Project","callback":"https://example.com/callback","staging_batch":true,"metadata":{"priority":"high","dataset_version":"v1.2"}}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"096ed32d-2d32-4aff-b43e-60e86505c4e9":{"description":"Batch created successfully.","content":{"application/json":{"schema":{"type":"object","required":["id","name","project","created_at","status","metadata"],"properties":{"id":{"type":"string","description":"A unique identifier for the batch.","example":"batch_abc123","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"name":{"type":"string","description":"The name of the batch.","example":"My Scale Batch","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"project":{"oneOf":[{"type":"string","description":"Project ID or [Project](/core-resources/project) associated with the batch.","example":"project_abc123","isRequired":true,"uniqueKey":"project.oneOf.0","typeLabel":"string"},{"type":"object","description":"Project ID or [Project](/core-resources/project) associated with the batch.","required":["id","name","created_at"],"properties":{"id":{"type":"string","description":"Unique identifier for the project","example":"project_abc123","isRequired":true,"uniqueKey":"project.oneOf.1.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the project.","example":"My Scale Project","isRequired":true,"uniqueKey":"project.oneOf.1.name","typeLabel":"string"},"created_at":{"type":"string","format":"date-time","description":"A timestamp formatted as an ISO 8601 date-time string.","isRequired":true,"uniqueKey":"project.oneOf.1.created_at","typeLabel":"string\u003cdate-time>"},"types":{"type":"array","description":"List of project types associated with the project.","items":{"type":"string","enum":["SFT","RLHF: Pref Ranking","RLHF: Pref Ranking with Rewrites","RLVR: Reinforcement Learning with Verifiable Rewards","Rubrics","Process Supervision","Evals","Prompt Generation","Content Understanding","Other"],"uniqueKey":"project.oneOf.1.types.items.[INDEX]","typeLabel":"enum\u003cstring>"},"example":["RLHF: Pref Ranking"],"uniqueKey":"project.oneOf.1.types","typeLabel":"enum\u003cstring>[]"},"models":{"type":"array","description":"List of models associated with the project.","items":{"type":"string","description":"The name of the model that generated the message.","example":"my-model-123","uniqueKey":"project.oneOf.1.models.items.[INDEX]","typeLabel":"string"},"example":["gpt-4","my-model-123"],"uniqueKey":"project.oneOf.1.models","typeLabel":"string[]"}},"isRequired":true,"uniqueKey":"project.oneOf.1","typeLabel":"object"}],"isRequired":true,"uniqueKey":"project","typeLabel":"string | object"},"created_at":{"type":"string","format":"date-time","description":"A timestamp formatted as an ISO 8601 date-time string.","isRequired":true,"uniqueKey":"created_at","typeLabel":"string\u003cdate-time>"},"status":{"type":"string","enum":["staging","in_progress","completed","paused","cancelled"],"description":"Status of the batch.","isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"metadata":{"type":"object","description":"Custom metadata for the entity.","additionalProperties":true,"default":{},"isRequired":true,"uniqueKey":"metadata","typeLabel":"object"},"completed_at":{"type":"string","format":"date-time","description":"UTC timestamp when the batch was completed.","uniqueKey":"completed_at","typeLabel":"string\u003cdate-time>"},"callback":{"type":"string","description":"Callback URL or email for the entity upon completion.","example":"https://example.com/callback","uniqueKey":"callback","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Created Batch":{"title":"Created Batch","value":{"id":"batch_123","name":"Batch Name Example","project":"project_123","created_at":"2022-07-25T07:32:34.318Z","status":"completed","callback":"https://example.com/callback","metadata":{},"completed_at":"2022-07-26T07:32:34.318Z"}}},"exampleType":"examples"}},"exampleType":"examples"},"8ce36062-8ebc-420f-836b-95cd0e7bca36":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"status_code":{"type":"number","example":500,"uniqueKey":"status_code","typeLabel":"number"},"error":{"type":"string","example":"An error has occurred.","uniqueKey":"error","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status_code":500,"error":"An error has occurred."}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"e31d5fdb-2085-4146-92b6-90260efbbad0":{"bearerAuth":{"description":"Your API Key is the Bearer token. See the [Authentication](/get-started/authentication) section to learn how to access your key.","type":"http","scheme":"bearer","scopes":[]}},"233f3a50-48c4-4019-9ad6-43d116159c42":{"basicAuth":{"description":"Basic HTTP Authentication. Your API Key is your username. Learn more about setting up Authentication [here](/get-started/authentication).","type":"http","scheme":"basic","scopes":[]}}},"servers":{"8d1397d9-279d-48d6-869a-11edd8a92ce6":{"url":"https://api.scale.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"description":"Your API Key is the Bearer token. See the [Authentication](/get-started/authentication) section to learn how to access your key.","type":"http","scheme":"bearer","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Your API Key is the Bearer token. See the [Authentication](/get-started/authentication) section to learn how to access your key.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"},{"schemes":[{"scheme":{"description":"Basic HTTP Authentication. Your API Key is your username. Learn more about setting up Authentication [here](/get-started/authentication).","type":"http","scheme":"basic","scopes":[]},"schema":{"title":"Basic Auth","type":"object","description":"Basic HTTP Authentication. Your API Key is your username. Learn more about setting up Authentication [here](/get-started/authentication).","isRequired":true,"properties":{"username":{"type":"string","uniqueKey":"username","isRequired":true,"typeLabel":"string","deprecated":false},"password":{"type":"string","uniqueKey":"password","isRequired":true,"typeLabel":"string","deprecated":false}},"additionalProperties":false,"deprecated":false},"schemeName":"basicAuth","name":"Authorization"}],"title":"basicAuth"}]},"originalFileLocation":"openapi.yaml"},"subdomain":"data-engine-gen-ai","siteName":"GenAI Docs","title":"Create a Batch - GenAI Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-10-20T16:40:08.551Z","originalFileLocation":"v2/batch-create.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Create a new Batch for organizing tasks.\">\u003cmeta data-mint-head name=\"application-name\" content=\"GenAI Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/data-engine-gen-ai/T5d5BiF5hD62YRe-/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/data-engine-gen-ai/T5d5BiF5hD62YRe-/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/data-engine-gen-ai/T5d5BiF5hD62YRe-/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/data-engine-gen-ai/T5d5BiF5hD62YRe-/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/data-engine-gen-ai/T5d5BiF5hD62YRe-/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/data-engine-gen-ai/T5d5BiF5hD62YRe-/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/data-engine-gen-ai/T5d5BiF5hD62YRe-/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/data-engine-gen-ai/T5d5BiF5hD62YRe-/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/data-engine-gen-ai/T5d5BiF5hD62YRe-/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create a Batch - GenAI Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create a new Batch for organizing tasks.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"GenAI Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.genai.scale.com/v2/batch-create\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://data-engine-gen-ai.mintlify.app/_mintlify/api/og/v2?division=Batches\u0026amp;title=Create+a+Batch\u0026amp;description=Create+a+new+%5BBatch%5D%28%2Fcore-resources%2Fbatch%29+for+organizing+tasks.\u0026amp;theme=5b1d3bec5bb0fb48a986f01e\u0026amp;signature=7cdae50ff0b3a4bc7075e7a4e577f0862c777fd374f62806c0f3d635f80ec27e\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create a Batch - GenAI Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create a new Batch for organizing tasks.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://data-engine-gen-ai.mintlify.app/_mintlify/api/og/v2?division=Batches\u0026amp;title=Create+a+Batch\u0026amp;description=Create+a+new+%5BBatch%5D%28%2Fcore-resources%2Fbatch%29+for+organizing+tasks.\u0026amp;theme=5b1d3bec5bb0fb48a986f01e\u0026amp;signature=7cdae50ff0b3a4bc7075e7a4e577f0862c777fd374f62806c0f3d635f80ec27e\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/data-engine-gen-ai/T5d5BiF5hD62YRe-/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"GenAI Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3f2e7b\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.genai.scale.com/v2/batch-create\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/v2/batch-create.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.genai.scale.com/#organization\",\"name\":\"GenAI Docs\",\"url\":\"https://docs.genai.scale.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/data-engine-gen-ai/7rAP6-o6Oxbv3RYk/logo/light.png?fit=max\u0026auto=format\u0026n=7rAP6-o6Oxbv3RYk\u0026q=85\u0026s=35e9926d90e748d5ec795a744410d62f\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.genai.scale.com#website\",\"name\":\"GenAI Docs\",\"url\":\"https://docs.genai.scale.com\",\"publisher\":{\"@id\":\"https://docs.genai.scale.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.genai.scale.com/v2/batch-create#webpage\",\"url\":\"https://docs.genai.scale.com/v2/batch-create\",\"name\":\"Create a Batch\",\"description\":\"Create a new Batch for organizing tasks.\",\"dateModified\":\"2025-10-20T16:40:08.551Z\",\"isPartOf\":{\"@id\":\"https://docs.genai.scale.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.genai.scale.com/v2/batch-create#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.genai.scale.com/v2/batch-create#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Endpoints\",\"item\":\"https://docs.genai.scale.com/v2/project\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"v2\",\"item\":\"https://docs.genai.scale.com/v2/project\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Batches\",\"item\":\"https://docs.genai.scale.com/v2/batch\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"Create a Batch\",\"item\":\"https://docs.genai.scale.com/v2/batch-create\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.genai.scale.com/v2/batch-create#apireference\",\"headline\":\"Create a Batch\",\"name\":\"Create a Batch\",\"description\":\"Create a new Batch for organizing tasks.\",\"url\":\"https://docs.genai.scale.com/v2/batch-create\",\"mainEntityOfPage\":{\"@id\":\"https://docs.genai.scale.com/v2/batch-create#webpage\"},\"dateModified\":\"2025-10-20T16:40:08.551Z\",\"publisher\":{\"@id\":\"https://docs.genai.scale.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.genai.scale.com#website\"}}]}\u003c/script>","siteName":"GenAI Docs","nav":{"global":null,"groups":[{"group":"Get Started","pages":[{"title":"Quickstart","icon":"book","href":"/get-started/quickstart"},{"title":"Authentication","icon":"lock","href":"/get-started/authentication"}]},{"group":"API Reference","pages":[{"title":"Introduction","href":"/api-reference/introduction"},{"group":"Core Resources","pages":[{"title":null,"href":"/core-resources/project"},{"title":null,"href":"/core-resources/batch"},{"title":null,"href":"/core-resources/delivery"},{"title":null,"href":"/core-resources/task"},{"title":null,"href":"/core-resources/thread"},{"title":null,"href":"/core-resources/turn"},{"title":null,"href":"/core-resources/message"},{"title":null,"href":"/core-resources/chunk"},{"title":null,"href":"/core-resources/annotation"},{"title":null,"href":"/core-resources/dataset"},{"title":null,"href":"/core-resources/dataset-task"},{"title":null,"href":"/core-resources/dataset-delivery"}]},{"title":"Expanding Entities","href":"/api-reference/expanding-entities"},{"title":"Error Codes","href":"/api-reference/error-codes"},{"title":"Idempotent Requests","href":"/api-reference/idempotency"}]},{"group":"Project Archetypes","pages":[{"title":null,"href":"/project-archetypes/introduction"},{"group":"Archetypes","pages":[{"title":"Evals","href":"/project-archetypes/evals"},{"title":"RLHF","href":"/project-archetypes/rlhf"},{"title":"Rubrics","href":"/project-archetypes/rubrics"},{"title":"SFT","href":"/project-archetypes/sft"}]}]},{"group":"Endpoints","pages":[{"group":"v2","pages":[{"group":"Projects","pages":[{"openapi":"GET /v2/project","title":"Get a Project","href":"/v2/project"},{"openapi":"GET /v2/projects","title":"Get Multiple Projects","href":"/v2/projects"}]},{"group":"Batches","pages":[{"openapi":"GET /v2/batch","title":"Get a Batch","href":"/v2/batch"},{"openapi":"GET /v2/batches","title":"Get Multiple Batches","description":"Retrieve multiple [Batches](/core-resources/batch) from a [Project](/core-resources/project).","href":"/v2/batches"},{"openapi":"POST /v2/batch","title":"Create a Batch","href":"/v2/batch-create"},{"openapi":"POST /v2/batch/finalize","title":"Finalize a Batch","description":"Move a [Batch](/core-resources/batch) from staging to in-progress status to begin processing tasks.","href":"/v2/batch-finalize"},{"openapi":"POST /v2/batch/pause","title":"Pause a Batch","href":"/v2/batch-pause"},{"openapi":"POST /v2/batch/resume","title":"Resume a Batch","href":"/v2/batch-resume"},{"openapi":"POST /v2/batch/cancel","title":"Cancel a Batch","href":"/v2/batch-cancel"},{"openapi":"POST /v2/batch/metadata","title":"Set Batch Metadata","href":"/v2/batch-set-metadata"}]},{"group":"Tasks","pages":[{"openapi":"GET /v2/task","title":"Get a Task","href":"/v2/task"},{"openapi":"GET /v2/tasks","title":"Get Multiple Tasks","href":"/v2/tasks"},{"openapi":"POST /v2/task/chat","title":"Create a Chat Task","href":"/v2/task-chat-create"},{"openapi":"POST /v2/task/metadata","title":"Set Task Metadata","href":"/v2/task-set-metadata"}]},{"group":"Deliveries","pages":[{"openapi":"GET /v2/deliveries","title":"List All Deliveries","href":"/v2/deliveries"},{"openapi":"GET /v2/delivery","title":"Get Tasks in a Delivery","href":"/v2/delivery"},{"openapi":"GET /v2/delivery/tasks","title":"Get Delivered Task Responses","href":"/v2/delivery-tasks"},{"openapi":"GET /v2/schema","title":"Get a Delivery JSON Schema","href":"/v2/schema"}]},{"group":"Annotations","pages":[{"openapi":"GET /v2/annotation","title":"Get an Annotation","href":"/v2/annotation"}]},{"group":"Datasets","pages":[{"group":"Datasets","pages":[{"openapi":"GET /v2/datasets","title":"List Datasets","href":"/v2/datasets"}]},{"group":"Tasks","pages":[{"openapi":"GET /v2/datasets/task","title":"Get a Dataset Task","href":"/v2/datasets/task"},{"openapi":"GET /v2/datasets/tasks","title":"Get Multiple Dataset Tasks","href":"/v2/datasets/tasks"},{"openapi":"GET /v2/datasets/task/{task_id}/response_url/{attachment_id}","title":"Get Response Attachment","href":"/v2/datasets/response_url"}]},{"group":"Deliveries","pages":[{"openapi":"GET /v2/datasets/delivery","title":"Get Dataset Tasks in a Delivery","href":"/v2/datasets/delivery"},{"openapi":"GET /v2/datasets/deliveries","title":"List All Dataset Deliveries","href":"/v2/datasets/deliveries"}]}]}]},{"group":"v1","pages":[{"openapi":"GET /v1/task/{task_id}","title":"Get Task (legacy)","href":"/v1/task"}]},{"group":"Auto Evaluations","pages":[{"group":"Model Management","pages":[{"openapi":"GET /v2/model_endpoints","title":"Retrieve all models","href":"/model-management/model-endpoints"},{"openapi":"GET /v2/model_version_configs/{id}","title":"Retrieve a Model Version Config","href":"/model-management/model-version-configs"},{"openapi":"GET /v2/model_version_configs","title":"Search Model Version Configs","href":"/model-management/model-version-config-get"},{"openapi":"POST /v2/model_version_configs","title":"Upload a new Model Version Config","href":"/model-management/model-version-config-post"}]},{"group":"Evaluation","pages":[{"openapi":"POST /v2/autoevals","title":"Start an evaluation job","href":"/auto-evaluation/autoevals"},{"openapi":"POST /v2/autoevals/terminate","title":"Terminate an evaluation job","href":"/auto-evaluation/terminate"},{"openapi":"POST /v2/autoevals/retry","title":"Retry an evaluation job","href":"/auto-evaluation/retry"},{"openapi":"GET /v2/autoevals/{jobId}/status","title":"Retrieve evaluation job details","href":"/auto-evaluation/status"},{"openapi":"GET /v2/autoevals/{jobId}/results","title":"Retrieve evaluation results","href":"/auto-evaluation/results"},{"openapi":"GET /v2/autoevals/statuses","title":"Retrieve statuses of all evaluation jobs","href":"/auto-evaluation/statuses"},{"openapi":"GET /v2/autoevals/model_version_configs/{id}/statuses","title":"Retrieve evaluation jobs for a Model Version Config","href":"/auto-evaluation/model-statuses"}]}]}]}]},"basePath":"","title":"Create a Batch - GenAI Docs","buildId":"dpl_9VVk5y1P8k1ATeJguVngy9Q3cmbD","deploymentId":"dpl_9VVk5y1P8k1ATeJguVngy9Q3cmbD","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DX1Meug0.js","utils-B_OMIQVC.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-ChxhRPMa.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CuKvD8Iv.js","snippetPresets-C5d7p2hp.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CfHcE8m4.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C1zZV314.js","shallow-CmQhqCJn.js","getApiPlaygroundDisplay-YRo9s1O7.js","CodeSnippet-RN1MTdfk.js","CodeSnippets-DKLPHxJA.js","Page-BAvA99GL.js","getPastedJson-bz0M41mU.js","icon-CsmhpPrv.js","MethodPill-CNGsVE77.js","DuplicateIcon-DilfU_Z2.js","createIcon-BdsYzQck.js","DynamicMarkdown-CbqEDjbV.js","SectionHeading-O6hXpFCN.js","axios-vUo_bRtp.js","Markdown-nKm-uidQ.js","clsx-ClVdStUn.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CIQkMg3R.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-ImrFS4Fy.js"]}